#
# osc-oracle-generic.spec
#

#
#  Copyright (C) 2008, 2010 Oracle.  All rights reserved.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public
#  License as published by the Free Software Foundation, version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public
#  License along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 021110-1307, USA
#

#
# Oracle Storage Connect Generic plugin .spec file
#

#
# These defines need to be set to reflect the specific plugin
#
%define     vendor_name     oracle
%define     plugin_module   generic

%define     generic_src_dir generic 
%define     generic_files   __init__.py SCSIPlugin.py NFSPlugin.py nfs_linux.py scsi_linux.py 

Vendor:     Oracle
Summary:    Oracle Storage Connect Generic Plugins
URL:        http://oss.oracle.com/

License:    GPLv2
BuildArch:  noarch

###########################################################################
#                                                                         #
# The following defines are generic and should not need to be changed     #
#                                                                         #
###########################################################################

%define     dist            .el6
%define     build_dir       %{_builddir}/%{name}-%{version}
%define     plugin_dir      /opt/storage-connect/plugins
%define     vendor_dir      %{plugin_dir}/%{vendor_name}
%define     install_dir     %{vendor_dir}/%{plugin_module}
%define     sharedoc_dir    /usr/share/doc/%{name}

Name:       osc-%{vendor_name}-%{plugin_module}
Version:    1.1.0 
Release: 95%{?dist}.6
Group:      Oracle/StorageConnect
Source0:    %{name}-%{version}.tar.bz2
Patch1:     dummy.patch
Patch2: added-generic-flag.patch
Patch3: version-1.1.0.patch
Patch4: generic_fs_stamp_corruption_fix.patch
Patch5: list_with_file_size.patch
Patch6: bunch_of_bugs.patch
Patch7: sharepath_namefilter.patch
Patch8: auto_mountpoint_create.patch
Patch9: fix-create-mount-point.patch
Patch10: mount-path-create-recursive-create.patch
Patch11: filesys_path-not-in-fs-record.patch
Patch12: discovery_mount_options_fix.patch
Patch13: fs_stamp_on_mount.patch
Patch14: filter-extraneous-filesystems.patch
Patch15: containsFile_fix_and_mor_logging.patch
Patch16: added-api-required-version.patch
Patch17: se_record-path-should-be-list.patch
Patch18: update-to-spec-127.patch
Patch19: added-FS_STATES.patch
Patch20: access_path.patch
Patch21: add_free_sz_to_fs_record.patch
Patch22: patch5688.patch
Patch23: fix-create-syntax.patch
Patch24: fix-FS-STATES-in-create.patch
Patch25: create-should-not-allow-read-only.patch
Patch26: remove_unsupported_apis.patch
Patch27: getCurrentClones.patch
Patch28: fix_iplugin_logger_typo.patch
Patch29: non-sparse-create.patch
Patch30: create_fix.patch
Patch31: list_fix.patch
Patch32: added_Generic_Volume_Group.patch
Patch33: two_volume_groups.patch
Patch34: FC_to_SAN_VG.patch
Patch35: add_vol_groups_to_ssrecord.patch
Patch36: getStatus_return.patch
Patch37: fix-mode.patch
Patch38: parallel_mounts.patch
Patch39: getExports_error_handling.patch
Patch40: nfsplugin-listmountpoints-fix-share-path.patch
Patch41: log-umount-details.patch
Patch42: getInfo_page83.patch
Patch43: no_lun_info_on_control.patch
Patch44: compare_just_ipaddr.patch
Patch45: nfs-file-close.patch
Patch46: rev453.patch
Patch47: rev459.patch
Patch48: rev461.patch
Patch49: add_free_sz.patch
Patch50: fix_indent.patch
Patch51: fix_getmountinfo_indentation_strip_slashes.patch
Patch52: more_discovery_mount_ops.patch
Patch53: powerpath_page83.patch
Patch54: inq_to_256.patch
Patch55: no_mount_options.patch
Patch56: rev568.patch
Patch57: getinfoexception.patch
Patch58: remove_array_path.patch
Patch59: check_mount_uuide.patch
Patch60: rev603.patch
Patch61: rev609.patch
Patch62: rev611.patch
Patch63: rev623.patch
Patch64: limitretry.patch
Patch65: rev644.patch
Patch66: rev658.patch
Patch67: iscsi_multipath.patch
Patch68: rev670.patch
Patch69: rev672.patch
Patch70: rev678.patch
Patch71: rev686.patch
Patch72: nfs_timeout_part1.patch
Patch73: oldrev.patch
Patch74: rev761.patch
Patch75: rev775.patch
Patch76: rev781.patch
Patch77: rev788.patch
Patch78: rev794.patch
Patch79: vol_group_name_add.patch
Patch80: rev811.patch
Patch81: rev821.patch
Patch82: rev862.patch
Patch83: iscsi-target-lists.patch
Patch84: fix_se_record_state.patch
Patch85: fast_list.patch
Patch86: look_for_all_nfs_mount_type.patch
Patch87: ignore_nfsd.patch
Patch88: rev900.patch
Patch89: rev906.patch
Patch90: rev915.patch
Patch91: rev921.patch
Patch92: mount_add_verbose_option.patch
Patch93: rev974.patch
Patch94: nfs_version_handling.patch
Patch95: fix_nfs_mount_options.patch
Patch96: get-right-storage-path.patch
Patch97: backport_20488507.patch
Patch98: rev1237.patch
# End Oracle Patches

BuildRoot:  %{_tmppath}/%{name}-%{version}
Requires:   osc-plugin-manager >= 1.2.1

%description
Oracle Storage Connect Generic plugin.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
%patch28 -p0
%patch29 -p0
%patch30 -p0
%patch31 -p0
%patch32 -p0
%patch33 -p0
%patch34 -p0
%patch35 -p0
%patch36 -p0
%patch37 -p0
%patch38 -p0
%patch39 -p0
%patch40 -p0
%patch41 -p0
%patch42 -p0
%patch43 -p0
%patch44 -p0
%patch45 -p0
%patch46 -p0
%patch47 -p0
%patch48 -p0
%patch49 -p0
%patch50 -p0
%patch51 -p0
%patch52 -p0
%patch53 -p0
%patch54 -p0
%patch55 -p0
%patch56 -p0
%patch57 -p0
%patch58 -p0
%patch59 -p0
%patch60 -p0
%patch61 -p0
%patch62 -p0
%patch63 -p0
%patch64 -p0
%patch65 -p0
%patch66 -p0
%patch67 -p0
%patch68 -p0
%patch69 -p0
%patch70 -p0
%patch71 -p0
%patch72 -p0
%patch73 -p0
%patch74 -p0
%patch75 -p0
%patch76 -p0
%patch77 -p0
%patch78 -p0
%patch79 -p0
%patch80 -p0
%patch81 -p0
%patch82 -p0
%patch83 -p0
%patch84 -p0
%patch85 -p0
%patch86 -p0
%patch87 -p0
%patch88 -p0
%patch89 -p0
%patch90 -p0
%patch91 -p0
%patch92 -p0
%patch93 -p0
%patch94 -p0
%patch95 -p0
%patch96 -p0
%patch97 -p0
%patch98 -p0

%build

%install
rm -fr %{buildroot}
install -d -m0755 %{buildroot}/%{install_dir}
install -d -m0755 %{buildroot}/%{sharedoc_dir}
mv %{build_dir}/%{generic_src_dir}/COPYING %{buildroot}/%{sharedoc_dir}/.
rm -fr %{build_dir}/%{sharedoc_dir}
for generic_file in %{generic_files}
do
  mv %{build_dir}/%{generic_src_dir}/${generic_file} %{buildroot}/%{install_dir}/.
done

%clean
rm -fr %{buildroot}

%files
%defattr(0555, root, root, 0755)
%attr(0555, root, root) %{install_dir}/*
%doc %{sharedoc_dir}/*

%%preun
if [ $1 -eq 0 ]
then
    OSC_BIN=/opt/storage-connect/bin
    if [ -x "$OSC_BIN/announce_erase" ]
    then
        $OSC_BIN/announce_erase "%{name}" \
                                "%{version}-%{release}" \
                                "%{install_dir}" \
                                "%{vendor_name}" \
                                "%{plugin_module}"
    fi
    if [ -f %{vendor_dir}/__init__.py ]
    then
        python %{vendor_dir}/__init__.py %{vendor_dir} >/dev/null 2>&1
        if [ "$?" -eq 0 ]
        then
            rm -f %{vendor_dir}/__init__.py
            rm -f %{vendor_dir}/__init__.pyc
            rm -f %{vendor_dir}/__init__.pyo
        fi
    fi
fi
exit 0

%postun
if [ $1 -ge 1 ]
then
    OSC_BIN=/opt/storage-connect/bin
    if [ -x "$OSC_BIN/announce_upgrade" ]
    then
        $OSC_BIN/announce_upgrade "%{name}" \
                                  "%{version}-%{release}" \
                                  "%{install_dir}" \
                                  "%{vendor_name}" \
                                  "%{plugin_module}"
     fi
elif [ $1 -eq 0 ]
then
    rmdir --ignore-fail-on-non-empty %{install_dir}
    rmdir --ignore-fail-on-non-empty %{vendor_dir}
fi
exit 0

%post
OSC_BIN=/opt/storage-connect/bin
if [ -x "$OSC_BIN/announce_install" ]
then
    $OSC_BIN/announce_install "%{name}" \
                              "%{version}-%{release}" \
                              "%{install_dir}" \
                              "%{vendor_name}" \
                              "%{plugin_module}"
fi
if [ ! -f %{vendor_dir}/__init__.py ]
then
    cat >%{vendor_dir}/__init__.py <<__EOF__
#!/usr/bin/env python
"""
@copyright: Copyright (C) 2008, 2010 Oracle.  All rights reserved.

@license:   This program is free software; you can redistribute it and/or
            modify it under the terms of the GNU General Public
            License as published by the Free Software Foundation, version 2.

            This program is distributed in the hope that it will be useful,
            but WITHOUT ANY WARRANTY; without even the implied warranty of
            MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
            General Public License for more details.

            You should have received a copy of the GNU General Public
            License along with this program; if not, write to the Free Software
            Foundation, Inc., 59 Temple Place - Suite 330, Boston,
            MA 021110-1307, USA

@summary:   This is just to enable the import of the plugins.
"""

#
# This is a major hack to get around RPM's limitation of not being able
# to specify the same file for multiple RPM installs
#
# Exit codes:
#   0 : No more dependencies
#   1 : ERROR condition
#   2 : Still have dependencies
#
if __name__ == '__main__':
    import sys
    import os
    if len(sys.argv) <= 1:
        print "ERROR: No vendor dir given!"
        sys.exit(1)

    try:
       vendor_dirs = os.listdir(sys.argv[1])
       ref_count = 0
       for vendor_dir in vendor_dirs:
           vendor_path = os.path.join(sys.argv[1], vendor_dir)
           if os.path.isdir(vendor_path):
               ref_count += 1

    except Exception, e:
        print "ERROR:", e
        sys.exit(1)

    if ref_count > 1:
        sys.exit(2)

    sys.exit(0)

__EOF__
fi
exit 0

%changelog
* Wed Jul 20 2016 Shelly Ma <shelly.ma@oracle.com> - 1.1.0-95.el6.6 
- Backport: fixed multiple repository mounts due to multiple IP assignment to the NFS file server in a round robin fashion. 
  Acknowledged by Firas Azar <firas.azar@oracle.com>, Adnan Misherfi<adnan.misherfi@oralce.com> [bug 22683343]

* Wed Aug 26 2015 Firas Azar <firas.azar@oracle.com> - 1.1.0-95.el6.5 
- Backport 3.4 changes for bug 20488507. Overload control for high numbers of exports in NFS server during refresh operation. Prevent shortage of TCP sockets. [bug 21569557]  

* Mon Apr 27 2015 Chuang Cao <chuang.cao@oracle.com> - 1.1.0-95.el6.4 
- Get the correct storage path with split when there is
  a zfs snapshot.
  Signed-off-by: Chuang Cao <chuang.cao@oracle.com>
  Signed-off-by: John Haxby <john.haxby@oracle.com>
  Acked-by: Firas Azar <firas.azar@oracle.com>
  Backported-by: Chuang Cao <chuang.cao@oracle.com> [bug 20510340]  

* Tue Apr 07 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 1.1.0-95.el6.3 
- Correct NFS mount options handling if the options list is empty instead of NONE
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Siddharth Verma <siddharth.x.verma@oracle.com> [bug 20839271]  

* Tue Apr 07 2015 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 1.1.0-95.el6.2 
- Use default NFS mount options instead of toggling NFS versions.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Siddharth Verma <siddharth.x.verma@oracle.com> [bug 20839176]  

* Sun Aug 03 2014 Chuang Cao <chuang.cao@oracle.com> - 1.1.0-95.el6.1 
- Change the string to int type during the size comparing.
  Signed-off-by: Chuang Cao <chuang.cao@oracle.com>
  Acked-by: Cathy Avery <cathy.avery@oracle.com>
  Backported-by: Chuang Cao <chuang.cao@oracle.com> [bug 19146857]  

* Mon Apr 07 2014 Firas Azar <firas.azar@oracle.com> - 1.1.0-95 
- Signed-off by: Cathy A Avery <cathy.avery@oracle.com>
  Signed-off by: Adnan G Misherfi <adnan.misherfi@oracle.com>
  Signed-off by: Ken Chen <ke-chiang.chen@oracle.com> [bug 18520749]  

* Fri Feb 07 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-94 
- SPARC - should use san module to retrieve device info
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Jan 13 2014 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-93 
- Bug 18060881 - IF SPARC SERVER CANNOT ACCESS POOLFS, ADD SERVER TO CLUSTER WILL HANG
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Dec 03 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-92 
- fix syntax error in generic/scsi_solaris.py
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Dec 03 2013 Carson Hovey <carson.hovey@oracle.com> - 1.1.0-91 
- se_record.state field is now filled in with SE_STATES.ONLINE, OFFLINE.
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com>
  Signed-off-by: Alexandre Chartre  <alexandre.chartre@oracle.com>
  Oracle-bug: Bug 17299685 - CLI ALWAYS REPORTS STATE OF PHYSICAL DISK AS UNKNOWN
  patch_name: Bug17299685.patch 

* Mon Oct 14 2013 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-90 
- listmounts was trying to look at nfsd which was causing a problem. [bug 17601331]  

* Wed Oct 09 2013 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-89 
- list mounts was filtering moutnt types by  nfs and this setup was using nfs4 [bug 17557326]  

* Tue Oct 08 2013 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-88 
- Added support for 1000 lun list. This fix cannot be backported to 5uX. [bug 17493045]  

* Wed Oct 02 2013 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-87 
- Backing out very bad change to se_record state field 

* Tue Oct 01 2013 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-86 
- This is the Serve-side support for doing per-target login/logout on iSCSI 

* Mon Sep 30 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.1.0-85 
- calling `subprocess.Popen()` with `close_fds=True`
  Problem:
  - Fork a process without closing file descriptors will result in the child process holding all parent opened file descriptors.
  - A child of Agent XMLRPC Daemon is holding the socket port 8899.
  - Agent wants to restart XMLRPC Daemon upon `take_ownership()` and after `release_ownership()` : so it cannot bind to port 8899 any more.
  - The fix is to always calling `subprocess.Popen()` with `close_fds=True`.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17533127]  

* Fri Aug 23 2013 Carson Hovey <carson.hovey@oracle.com> - 1.1.0-84
- Bug 17258567 - Change directory protection from 0555 to 0755 
  Signed-off-by: Cathy.Avery <cathy.avery@oracle.com>

* Fri Jul 12 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-83 
- SPARC - ZFS disk WWID should be unique accross different servers
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Jun 07 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-82 
- SPARC - support for ZFS "LUNs"
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri May 24 2013 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-81 
- added ss_record vol group names to se record [bug 16850721]  

* Thu May 09 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-80 
- make iSCSI code modular
  SPARC - add iSCSI support
  SPARC - change LUN identification to be compatible with Linux/x86
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> 

* Mon Apr 22 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-79 
- SPARC - plugin should use Solaris devprop command instead of custom command
  SPARC - "sasinfo lu" fails if there is no SAS adapter
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Mar 27 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-78 
- include SAS luns to the list of luns on SPARC
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Tue Mar 26 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-77 
- Bug 16553436 - 3.3.1.175 REFRESH ISCSI/STORAGE FAILS - SERECORD.PATH EXPECTS LIST, NOT STRING
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Mar 25 2013 Shu Li <shu.li@oracle.com> - 1.1.0-76
- add scsi_linux.py to the generic_files list

* Thu Mar 21 2013 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-75 
- add SCSI support for Solaris
  add modules for OS specific SCSI functions
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> 

* Fri Jan 04 2013 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-74 
- Revert back to old version number [bug 16064166]  

* Mon Nov 05 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-73 
- First part of fix. [bug 14845962]  

* Thu Nov 01 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-72 
- Bug 14846665 - ovs sparc packages should not use the ldoms publisher
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Oct 10 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-71 
- Solaris package should not include SCSI plugin and Linux files
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 08 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-70 
- report all mount errors if mount fails on Solaris (Solaris fix for 14460831)
  select better mount options for NFS on Solaris
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Oct 08 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-69 
- Solaris package consolidation
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Oct 05 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-68 
- Added support for iscsi multipath 

* Mon Sep 24 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-67 
- Solaris build and package support
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Liam Merwick <liam.merwick@oracle.com> 

* Wed Sep 05 2012 Junjie Wei <junjie.wei@oracle.com> - 1.1.0-66 
- Add debugging information to umount(). Hopefully there will be more details
  logged once we hit the bug again.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 14479264 

* Fri Aug 31 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-65 
- Fix retry of mount with nfs4 for all mount errors. [bug 14460831]  

* Thu Aug 02 2012 Junjie Wei <junjie.wei@oracle.com> - 1.1.0-64 
- Enhance logging in NFSPlugin.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Jul 31 2012 Junjie Wei <junjie.wei@oracle.com> - 1.1.0-63 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Jul 31 2012 Junjie Wei <junjie.wei@oracle.com> - 1.1.0-62 
- Removing trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Jul 31 2012 Junjie Wei <junjie.wei@oracle.com> - 1.1.0-61 
- Remove trailing spaces; Refactor imports.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Jul 27 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-60 
- Added check to mount to throw exception if the uuid of the fs_record and the uuid of the fs do not match. [bug 14307805] 

* Wed Jun 06 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-59 
- Remove array_path from pugin as it is an invalid key for the generic. 

* Tue May 22 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-58 
- Raise exception when getinfo returns an error. [bug 14102521] 

* Wed May 16 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.1.0-57 
- include nfs_linux.py [bug 14079098]

* Tue May 15 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-56 
- add support for Solaris 

* Mon Feb 20 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-55 
- Removed reporting mount options for listFileSystems unpresented filesystems. [bug 13724360] 

* Thu Feb 16 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-54 
- Increase page 83 and 80 buffers to 256 in sg_raw INQ [bug 13709699] 

* Mon Feb 13 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-53 
- Added support for powerpath geting page 83 ids. 

* Mon Feb 13 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-52 
- Added various mount options for discovery of unpresented luns. The mount will cycle thru to
  obtain a sucessful mount. 

* Sun Feb 12 2012 Kurt Hackel <kurt.hackel@oracle.com> - 1.1.0-51 
- * fixes an indentation issue in _getMountInfo
  * workaround the problem in core not stripping trailing slashes from FS mounts
  Signed-off-by:cathy.avery@oracle.com 

* Thu Feb 02 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-50 
- Fixed indent problem 

* Thu Feb 02 2012 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-49 
- added free size fo getFileSystemInfo 

* Wed Feb 01 2012 Junjie Wei <junjie.wei@oracle.com> - 1.1.0-48 
- Add debug information for mount() and umount().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 01 2012 Junjie Wei <junjie.wei@oracle.com> - 1.1.0-47 
- Fix incorrect try..except..finally usage.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 01 2012 Junjie Wei <junjie.wei@oracle.com> - 1.1.0-46 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Dec 02 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.1.0-45 
- fix file close
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Nov 15 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-44 
- List mounts will now make the export name ipaddr for the compare if hostname. [bug 13365518] 

* Mon Oct 03 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-43 
- Skip over _get_lun_info_ on /dev`/mapper/control 

* Thu Sep 29 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-42 
- Added getmppage83 to getInfo for single se as input 

* Wed Sep 28 2011 Junjie Wei <junjie.wei@oracle.com> - 1.1.0-41 
- Log umount details for NFSPlugin.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> [bug 13001348] 

* Thu Sep 08 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.1.0-40 
- NFSPlugin listMountPoints(): fix share path dectection
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Wiekus Beukes <wiekus.beukes@oracle.com> [bug 12848852] 

* Fri Jul 22 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-39 
- Added error handling to _getExports [bug 12769921] 

* Wed Jul 20 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-38 
- Added mkdtemp to protect parallel mounts. 

* Wed Jul 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.1.0-37 
- fix the file/dir creation mode for NFSPlugin
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com> [bug 12719289] 

* Fri Jul 01 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-36 
- getStatus now always returns a value or exception [bug 11825213] 

* Thu May 19 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-35 
- Added ss_record vol_groups 

* Mon Apr 18 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-34 
- Changed volume group from FC to SAN 

* Sun Apr 17 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-33 
- Changed volume group to "Generic_Iscsi_Volume_Group" and "Generic_FibreChannel_Volume_Group" 

* Thu Apr 14 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-32 
- Added 'Generic_Volume_Group' to se_record[vol_group_name] 

* Mon Mar 21 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-31 
- Fixed list method to return only those iscsi /dev/mpath/ devices that belong to the
  specified ss_name. The get mp page 83 is only temporary. [bug 11847174] 

* Tue Mar 15 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-30 
- Cosmetice name change to SCSIPlugin. Fixed create problem. [bug 11873198] 

* Fri Mar 11 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-29 
- Fixed non sparse create. [bug 11851616] 

* Wed Mar 02 2011 Kurt Hackel <kurt.hackel@oracle.com> - 1.1.0-28 
- Fix typo in IPlugin.logger references [bug 11825744] 

* Fri Feb 25 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-27 
- Added getCurrentClones to return empty list [bug 11793771] 

* Mon Feb 21 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-26 
- removed unsupported call stubs. 

* Fri Feb 04 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-25 
- Cannot create a file on a read only mounted file system 

* Fri Feb 04 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-24 
- Fixed FS_TYPES in create call... 

* Wed Feb 02 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-23 
- Fix create() syntax to match 1.2.7 spec 

* Thu Jan 27 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-22 
- Fixed sharepath to allow for None... 

* Tue Jan 25 2011 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-21 
- Added new fs_record field free_sz 

* Wed Jan 05 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-20 
- Changed filesys_path to access_path for networked file systems... 

* Tue Jan 04 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-19 
- Added the FS_STATES 

* Tue Jan 04 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-18 
- Updated to match spec 1.2.7 

* Tue Jan 04 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-17 
- Changed list and updateSERecords to return a list for the device path
  bug:10632709 

* Fri Dec 17 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-16 
- Plugins must set their min compat level, as of 1.27 plugin manager checks this 

* Wed Dec 15 2010 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-15
- Possible bug fix for 10398326 with extended general and debug logging.

* Mon Nov 29 2010 Kurt Hackel <kurt.hackel@oracle.com> - 1.1.0-14 
- Reinstate filtering out extraneous files systems when fs_record is indicated in listMountPoints. [bug 10334559] 

* Tue Nov 23 2010 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-13 
- Added uuid stamps to all subdir mounts. This avoids having to mount the nfs root to get the uuidand cuts down on nfs mount activity. This a patch is a partial fix for bug 10278397. [bug 102778397] 

* Mon Nov 15 2010 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-12 
- Trial fix for bug 10278397. 

* Wed Nov 10 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-11 
- Need to make sure in listMountPoints that the mount point to check is not a read-only non stamped mount point
  orabug:10268910 

* Fri Nov 05 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-10 
- Changed mount() call to make the mount path recursively 

* Mon Nov 01 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-9 
- Fix problem where mount point does not exist and flag is supplied to create it on mount 

* Mon Oct 25 2010 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-8 
- Added create mount point to mount feature. 

* Mon Oct 18 2010 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-7 
- Added share_path feature for mounts. Added filter names for list. 

* Thu Sep 09 2010 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-6 
- Assorted bug fixes from manager testing. 

* Fri Sep 03 2010 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-5 
- Added file size info to the file records returned from list. 

* Thu Sep 02 2010 Cathy Avery <cathy.avery@oracle.com> - 1.1.0-4 
- Fixed .generic_fs_stamp going to null. Fixed emtpy .generic_fs_stamp not being updated with a valid uuid. 

* Fri Aug 27 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-3 
- Bumped version to 1.1.0 

* Fri Aug 27 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.1.0-2 
- Added the generic flag 

* Thu Aug 26 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.0-10 
- Renamed FSPlugin to NFS plugin. 

* Wed Aug 25 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.0-9 
- Removed a NFSFilesystem ref I missed 

* Mon Aug 23 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.0-8 
- storage_type should check for FileSys.. 

* Mon Aug 23 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.0-7 
- Changed StringReader to StringIO 

* Mon Aug 23 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.0-6 
- Sync up with OSC plugin 

* Thu Aug 19 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.0-5 
- Changed fillSSInfo to not set fields to None, Changed the AccessGroup return a valid dict (for now) This call should never be called since the flag is set to indicate that Access control is not supported 

* Wed Aug 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.0-4 
- Updated NFSFileSystem to NetworkFileSystem 

* Wed Jul 21 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-3 
- Added generic file system plugin. Changed scsi plugin ability report. 

* Thu Jul 01 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-2 
- Fixed dd block size, fixed error message bug in clone 

* Fri May 28 2010 Joel Becker <joel.becker@oracle.com> 1.0.0-1
- Initial generic version of this specfile

